changeset 333:8821a772799a

Merge
author Kim Alvefur <zash@zash.se>
date Thu, 03 Feb 2011 23:57:54 +0100
parents febfb59502fc (current diff) d9c1231db77b (diff)
children 54d4445cc5c6
files
diffstat 3 files changed, 6 insertions(+), 5 deletions(-) [+]
line wrap: on
line diff
--- a/mod_admin_web/admin_web/get_deps.sh	Thu Feb 03 23:57:37 2011 +0100
+++ b/mod_admin_web/admin_web/get_deps.sh	Thu Feb 03 23:57:54 2011 +0100
@@ -2,6 +2,7 @@
 cd www_files/js
 test -e jquery-1.4.4.min.js || wget http://code.jquery.com/jquery-1.4.4.min.js
 test -e adhoc.js || wget http://cgit.babelmonkeys.de/cgit.cgi/adhocweb/plain/js/adhoc.js
-test -e strophe.js || (git clone git://github.com/metajack/strophejs.git strophejs && \
-	cd strophejs && make strophe.js && cp strophe.js ../strophe.js && \
-	cd .. && rm -rf strophejs)
+test -e strophe.js || (wget --no-check-certificate -O strophe.tar.gz https://github.com/metajack/strophejs/tarball/release-1.0.1 && \
+	tar xzf strophe.tar.gz && rm strophe.tar.gz && cd metajack-strophejs-*/ && make strophe.js && cp strophe.js ../strophe.js && \
+	cd .. && rm -rf metajack-strophejs*)
+
--- a/mod_admin_web/admin_web/mod_admin_web.lua	Thu Feb 03 23:57:37 2011 +0100
+++ b/mod_admin_web/admin_web/mod_admin_web.lua	Thu Feb 03 23:57:54 2011 +0100
@@ -29,7 +29,7 @@
 
 local service = {};
 
-local http_base = (prosody.paths.plugins or "./plugins/") .. "admin_web/www_files";
+local http_base = (prosody.paths.plugins or "./plugins") .. "/admin_web/www_files";
 
 local xmlns_adminsub = "http://prosody.im/adminsub";
 local xmlns_c2s_session = "http://prosody.im/streams/c2s";
--- a/mod_admin_web/admin_web/www_files/index.html	Thu Feb 03 23:57:37 2011 +0100
+++ b/mod_admin_web/admin_web/www_files/index.html	Thu Feb 03 23:57:54 2011 +0100
@@ -36,7 +36,7 @@
 </div>
 
 <div id='main'>
-  <div id="selector">Host: <select id="host"></select></div>
+  <span id="selector">Host: <select id="host"></select></span>
   <div id="adhoc"></div>
   <div id="s2sList">
     <div class="container">